# Form advanced

Apply a custom style to radio and checkbox inputs when utilizing the Form component.

UIkit uses the appearance property to style them through CSS only, without applying custom markup. Currently the appearance property is only fully supported by webkit browsers, so that the styling will only apply to Chrome, Safari and Opera. This will change, of course, once other browsers start supporting the property.

## Usage

You can apply this component to extend the Form component. Just place the `<input>` element inside a `<form>` element and add the `.uk-form` class.

### Example

1 2 3

1 2 3

### Markup

    <form class="uk-form">
        <input type="radio">
        <input type="checkbox">
    </form>